from config import *
from PlayerState import PlayerState

class PlayerStateFactory:
    def __init__(self, specialDisplay):
        self.specialDisplay = specialDisplay

    def createPlayerState(self, display, id):
        return PlayerState(display, self.specialDisplay, id, BALLS_PER_GAME, BEGINNING_UPPER_PLAYFIELD_TIME, BEGINNING_BONUS_TIME)